export declare enum MediaQueryType {
    all = "all",
    print = "print",
    screen = "screen"
}
export type MediaQueryProperties = 'width' | 'height' | 'device-width' | 'device-height' | 'orientation' | 'prefers-color-scheme';
export interface MediaQueryEnvironmentParams {
    type?: MediaQueryType;
    width?: number;
    height?: number;
    'device-width'?: number;
    'device-height'?: number;
    orientation?: string;
    'prefers-color-scheme'?: string;
}
export interface MediaQueryExpression {
    inverse: boolean;
    type: MediaQueryType;
    features: MediaQueryFeature[];
}
export interface MediaQueryFeature {
    modifier: string;
    property: MediaQueryProperties | string;
    value: string;
}
export declare function matchQuery(mediaQuery: string, values: MediaQueryEnvironmentParams): boolean;
export declare function parseQuery(mediaQuery: string): MediaQueryExpression[];
